Vantaj

Heartbeats

Update a heartbeat

Update one or more fields on a heartbeat. Only the fields you send are changed.

PATCHhttps://api.vantaj.co/v1/heartbeats/{id}

Requires an API key with the heartbeats:write scope.

Authorizations

Authorizationstringheaderrequired

Bearer authentication using your API key: Authorization: Bearer <token>

Path parameters

idstring<uuid>required

The heartbeat ID.

Body

application/json
namestring

Display name (1–200 characters).

interval_secondsinteger

Expected ping interval.

Allowed:6030090018003600216004320086400
grace_secondsinteger

Grace period before a missed ping triggers an incident.

Allowed:6030090018003600
schedule_typestring

Schedule mode.

Allowed:intervalcron
cron_expressionstring | null

Cron schedule.

timezonestring

IANA time zone.

Update a heartbeat
cURL
curl --request PATCH \
  --url 'https://api.vantaj.co/v1/heartbeats/<id>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "Nightly backup (prod)",
  "grace_seconds": 600
}'
{
  "data": {
    "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "name": "Nightly backup",
    "token": "hb_3f8a1c2e9d",
    "status": "up",
    "schedule_type": "interval",
    "interval_seconds": 86400,
    "grace_seconds": 300,
    "cron_expression": null,
    "timezone": "UTC",
    "last_pinged_at": "2026-06-21T02:00:00Z",
    "project_id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
    "created_at": "2026-01-15T10:30:00Z"
  }
}